Subject: Rename key to id in TranslateViewHelper
Description

Since the key attribute refers to the trans-unit id in XLIFF, it is more intuitive to rename the attribute to id.

Associated revisions
Revision 2fe6308f - 2012-02-16 14:41 - Karsten Dambekalns

[TASK] Rename key to id in TranslateViewHelper

The key attribute refers to the trans-unit id in XLIFF and thus
should be named id.

Along the way a type cast of quantity to integer is removed, as
it doesn't make sense (plural form handling can take care of
floats just fine).

Change-Id: I24acacf9fe10ffd1f8daa640b86f1a6709cf2a8a
Resolves: #33812
Releases: 1.1

Revision a2928ff7 - 2012-02-22 10:22 - Karsten Dambekalns

[TASK] Remove utterly useless line of code

In I24acacf9fe10ffd1f8daa640b86f1a6709cf2a8a a small fix was made.
Only to leave an utterly useless line of code behind. This change
remedies that.

Change-Id: I19be941a64cc3e1bc9fa5ca62832b8a629b6f2b7
Related: #33812

History
#1 - 2012-02-09 13:56 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8928

#2 - 2012-02-15 20:29 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8928

#3 - 2012-02-16 14:23 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8928

#4 - 2012-02-16 14:41 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8928

#5 - 2012-02-17 02:47 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2fe6308fd2cec8927c0bc9b103287e6cb1f9c4b1.
